﻿<div class="row form-row mt-4">
    <div class="col-sm-10 mt-2">
        <AutocompleteSearchCell @ref="_autocompleteSearchCell" />
    </div>
    <div class="col-sm-2 mt-2">
        <button class="btn btn-primary" @onclick="GetCellDataAsync">Ver Dados</button>
    </div>
</div>

@if (_loadingData)
{
    <div class="text-center w-100 mt-2">
        <div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>
}
else
{
    if (_noData)
    {
        <div class="alert alert-danger mt-2" role="alert">
            Dados indisponíveis!
        </div>
    }
    else
    {
        <div class="row">
            <div class="col-sm-4">
                <div id="temperature" class="lastPlot" />
            </div>

            <div class="col-sm-4">
                <div id="humidity" class="lastPlot"></div>
            </div>

            <div class="col-sm-4">
                <div id="uv" class="lastPlot"></div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-4">
                <div id="fire" class="lastPlot" />
            </div>

            <div class="col-sm-4">
                <div id="smoke" class="lastPlot"></div>
            </div>

            <div class="col-sm-4">
                <div id="gas" class="lastPlot"></div>
            </div>
        </div>
    }
}






